ooo-build r12985 - in trunk: . bin



Author: michael
Date: Fri Jun 27 13:14:12 2008
New Revision: 12985
URL: http://svn.gnome.org/viewvc/ooo-build?rev=12985&view=rev

Log:
2008-06-27  Michael Meeks  <michael meeks novell com>

        * bin/src-pack2: move libwpd into libs (we patch it), and
        skip archives we already have ...



Modified:
   trunk/ChangeLog
   trunk/bin/setup.in
   trunk/bin/src-pack2
   trunk/bin/unpack

Modified: trunk/bin/setup.in
==============================================================================
--- trunk/bin/setup.in	(original)
+++ trunk/bin/setup.in	Fri Jun 27 13:14:12 2008
@@ -5,6 +5,7 @@
 BUILDDIR= BUILDDIR@
 BUILD_WIN32='@BUILD_WIN32@'
 DISTRO='@DISTRO@'
+SPLIT='@SPLIT@'
 VENDORNAME='@VENDORNAME@'
 SRCDIR= SRCDIR@
 VERSION='@OOO_VERSION@'
@@ -203,6 +204,11 @@
 OOO_SCALED_ICONS_UNTAR_OPTIONS=xzf
 OOO_SCALED_ICONS_DECOMPRESS_CMD="gunzip -dc"
 
+#
+# up-stream changed the split and names at random
+# don't you just love them ? - with split pkgs we
+# can bin this though.
+#
 if test -n "$UPSTREAM_NAME" ; then
     OOO_TARBALL="${UPSTREAM_NAME}_core.tar.bz2"
     OOO_SYSTEM_TARBALL="${UPSTREAM_NAME}_system.tar.bz2"
@@ -216,6 +222,15 @@
     OOO_LANG_TARBALL="$CVSTAG-lang.tar.bz2"
     OOO_SDK_OO_TARBALL="$CVSTAG-sdk_oo.tar.bz2"
 fi
+OOO_SPLIT_PREFIX=""
+if test "z SPLIT@" != "z"; then
+    OOO_SPLIT_PREFIX="$CVSTAG-"
+    OOO_SDK_OO_TARBALL="$CVSTAG-sdk.tar.bz2"
+    OOO_SYSTEM_TARBALL="$CVSTAG-libs-extern-sys.tar.bz2"
+    OOO_TARBALL=not-there-at-all
+    OOO_LANG_TARBALL=not-there-at-all
+    OOO_BINFILTER_TARBALL=not-there-at-all
+fi
 
 OOO_EXTRA_ARTWORK="@OOO_EXTRA_ARTWORK@"
 OOO_UNTAR_OPTIONS=jxf
@@ -246,6 +261,7 @@
 export BUILD_WIN32 
 export FORCE_GCC33
 export OPENCLIPART_VER OPENCLIPART_DIR
+export OOO_SPLIT_PREFIX
 
 if test "z$RPM_TAG_LANGPACKS" != "z"; then
 export RPM_TAG_LANGPACKS

Modified: trunk/bin/src-pack2
==============================================================================
--- trunk/bin/src-pack2	(original)
+++ trunk/bin/src-pack2	Fri Jun 27 13:14:12 2008
@@ -39,7 +39,7 @@
 		       'libegg', 'libtextcat', 'libxmlsec', 'msfontextract',
 		       'np_sdk', 'rhino', 'sane', 'twain', 'lpsolve', 'icc',
 		       'openssl', 'unixODBC', 'vigra', 'x11_extensions',
-		       'xpdf', 'hyphen' ],
+		       'xpdf', 'hyphen', 'libwpd' ],
     'extensions' => [ 'accessibility', 'automation', 'basctl', 'bean',
 		      'crashrep', 'embedserv', 'extensions', 'forms',
 		      'javainstaller2', 'lingucomponent', 'MathMLDTD',
@@ -47,7 +47,7 @@
 		      'xmlsecurity' ],
     'postprocess' => [ 'postprocess', 'packimages' ],
     'libs-extern-sys' => [ 'berkeleydb', 'bitstream_vera_fonts', 'expat', 'icu', 
-			   'jpeg', 'libwpd', 'libxml2', 'libxslt', 'moz', 'neon',
+			   'jpeg', 'libxml2', 'libxslt', 'moz', 'neon',
 			   'python', 'zlib', 'xalan', 'boost', 'curl', 'dictionaries' ]
 );
 
@@ -135,7 +135,11 @@
     for my $b (@{$module_map{$a}}) {
 	$cmd .= "$src/$b ";
     }
-    system ($cmd) && die "Failed to execute '$cmd': $!";
+    if (-f $dest_tar) {
+	print "\twarning: $dest_tar exists, skipping\n";
+    } else {
+	system ($cmd) && die "Failed to execute '$cmd': $!";
+    }
 
     $cmd = "md5sum $dest_tar > $dest_tar.md5";
     system ($cmd) && die "Failed to generate md5: '$cmd': $!";

Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack	(original)
+++ trunk/bin/unpack	Fri Jun 27 13:14:12 2008
@@ -47,7 +47,16 @@
 	check_tarball $BINUTILS_TARBALL
     fi
 fi
-check_tarball $OOO_TARBALL
+
+if test "z$SPLIT" != "z"; then
+	CORE_PKGS="ure base calc l10n writer impress artwork filters testing bootstrap libs-gui libs-core libs-extern extensions postprocess"
+	for pkg in $CORE_PKGS; do
+		check_tarball "$OOO_SPLIT_PREFIX$pkg.tar.bz2"
+	done
+else
+	CORE_PKGS=
+	check_tarball $OOO_TARBALL
+fi
 
 mkdir -p $BUILDDIR
 cd $BUILDDIR
@@ -140,8 +149,15 @@
 fi
 
 echo "Unpacking OO.o build tree - [ go and have some $DRINK ] ..."
-echo "Unpacking $OOO_TARBALL..."
-($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_TARBALL | $GNUTAR xpf - ) || exit 1
+if test "z$SPLIT" == "z"; then
+	echo "Unpacking $OOO_TARBALL..."
+	($OOO_DECOMPRESS_CMD $SRCDIR/$OOO_TARBALL | $GNUTAR xpf - ) || exit 1
+else # split packages
+	for pkg in $CORE_PKGS; do
+		echo "	unpacking $pkg..."
+		($OOO_DECOMPRESS_CMD "$SRCDIR/$OOO_SPLIT_PREFIX$pkg.tar.bz2" | $GNUTAR xpf - ) || exit 1
+	done
+fi
 
 # -system source
 if test -f $SRCDIR/$OOO_SYSTEM_TARBALL; then



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]